Download it now!
Bug 132160 - Crash in swlo!SwRedlineData::SetSeqNo
Summary: Crash in swlo!SwRedlineData::SetSeqNo
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.2 target:6.4.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2020-04-16 18:32 UTC by Telesto
Modified: 2020-09-20 20:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: a804d5f3-6f44-44e2-a73c-90add717ab22


Attachments
Example file (19.12 MB, application/vnd.oasis.opendocument.text)
2020-07-24 19:24 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-04-16 18:32:33 UTC
Description:
Crash in swlo!SwRedlineData::SetSeqNo

Steps to Reproduce:
1. Open Writer
2. Open https://www.managementboek.nl
3. Enable tracking changes
3. CTRL+A/ CTRL+C in the browser
4. CTRL+V in Writer
5. Reject changes -> Notice text still appearing in the header
6. CTRL+Z -> Crash

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4475bcd83aac7e033fc5250f268eb922bd471e7b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: en-US (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 MM 2020-04-16 21:28:27 UTC
Confirmed on windows 10 x64 with Version: 6.4.3.2 (x64)
Build ID: 747b5d0ebf89f41c860ec2a39efd7cb15b54f2d8
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: default; VCL: win

crashreport.libreoffice.org/stats/crash_details/a804d5f3-6f44-44e2-a73c-90add717ab22
Comment 2 Xisco Faulí 2020-04-17 10:34:22 UTC
I can't reproduce it in

Versión: 6.4.2.2 (x86)
Id. de compilación: 4e471d8c02c9c90f512f7f9ead8875b57fcb1ec3
Subprocs. CPU: 2; SO: Windows 6.1 Service Pack 1 Build 7601; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

@Telesto, what happens if you paste the content from the website and then you save it in a document? Can be reproducible from there after restarting LibreOffice? if so, could you please attach the document ?
Comment 3 Telesto 2020-04-17 11:43:54 UTC
> @Telesto, what happens if you paste the content from the website and then
> you save it in a document? Can be reproducible from there after restarting
> LibreOffice? if so, could you please attach the document ?

I tried, but the undo paste info is needed.. Copy/paste Chrome/Opera/Vivaldi Or Waterfox 56.2.6 [So probably what currently called Waterfox classic] or likely also Firefox 56 (bit old, I know)
Comment 4 Telesto 2020-07-24 19:24:44 UTC
Created attachment 163490 [details]
Example file

1. Open the attached file
2. Wait until fully rendered 531 or 533 pages i think 
3. Edit -> Track changes -> Manage -> Reject All
Comment 5 Telesto 2020-07-24 19:30:20 UTC
Crash in 6.2

not in 
6.0
Comment 6 Telesto 2020-07-25 12:34:57 UTC
For bibisect: enable experimental features & export SW_REDLINEHIDE=1
Comment 7 raal 2020-08-13 16:12:23 UTC
This seems to have begun at the below commit.
Adding Cc: to Michael Stahl ; Could you possibly take a look at this one?
Thanks

warning: ignoring broken ref refs/bisect/good-493d7c3d05e36097385016456d98945c824b7d29
warning: ignoring broken ref refs/bisect/good-493d7c3d05e36097385016456d98945c824b7d29
0ce125f186325a5929639a4b5b61bdde9edeccd3 is the first bad commit
commit 0ce125f186325a5929639a4b5b61bdde9edeccd3
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Sep 19 21:20:27 2018 +0200

    source sha:d258fc29560baa5ecae03ebc2740e11420643e27

author	Michael Stahl <Michael.Stahl@cib.de>	2018-09-03 18:07:29 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2018-09-19 10:18:29 +0200
commit	d258fc29560baa5ecae03ebc2740e11420643e27 (patch)
tree	b934fcbe96f5f433e05f365edc438499de63d671
parent	f32075fd7404dba62ae844cff84fdb43a91ac600 (diff)
sw_redlinehide_2: update frames on redline ops
Comment 8 Commit Notification 2020-08-25 14:32:05 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0bbc397dc5b4440144627330c2b6ee479bdcf074

tdf#132160 sw_redlinehide: more pathological redline problems

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Michael Stahl (CIB) 2020-08-25 14:34:16 UTC
fixed on master
Comment 10 Commit Notification 2020-08-25 15:47:59 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e2fe4fde592564d35099ad1e2659ad682dfb77f5

(related: tdf#132160) sw: fix lcl_RejectRedline if end is on table node

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-08-26 08:58:45 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/5f01eb16dc1832e1b354d6d5782ce451892555c9

tdf#132160 sw_redlinehide: more pathological redline problems

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-08-26 09:00:08 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/d172e9eeff21851670fd5da7c585a9ca46e02253

(related: tdf#132160) sw: fix lcl_RejectRedline if end is on table node

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-08-26 09:02:23 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1a3c4545db30e222ef8456ccdbf51d07a18adbca

tdf#132160 sw_redlinehide: more pathological redline problems

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-08-26 12:26:41 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d0ebd31df55d6bec2a0a7f84978712e49b90b993

(related: tdf#132160) sw: fix lcl_RejectRedline if end is on table node

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.